/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbDivideMeasureObj extends XbMeasureObj {

	// divide ID
	private long divide_id;
	// divide タイプ
	private int divide_type;
	// 単位ID
	private long measure_id;
	// 並び順
	private long presentation_order;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return divide_id
	 */
	public long getDivide_id() {
		return divide_id;
	}
	/**
	 * @param divide_id 設定する divide_id
	 */
	public void setDivide_id(long divide_id) {
		this.divide_id = divide_id;
	}
	/**
	 * @return divide_type
	 */
	public int getDivide_type() {
		return divide_type;
	}
	/**
	 * @param divide_type 設定する divide_type
	 */
	public void setDivide_type(int divide_type) {
		this.divide_type = divide_type;
	}
	/**
	 * @return measure_id
	 */
	public long getMeasure_id() {
		return measure_id;
	}
	/**
	 * @param measure_id 設定する measure_id
	 */
	public void setMeasure_id(long measure_id) {
		this.measure_id = measure_id;
	}
	/**
	 * @return presentation_order
	 */
	public long getPresentation_order() {
		return presentation_order;
	}
	/**
	 * @param presentation_order 設定する presentation_order
	 */
	public void setPresentation_order(long presentation_order) {
		this.presentation_order = presentation_order;
	}
}